<?
require "include/bittorrent.php";

dbconn();

loggedinorreturn();
if (get_user_class() < UC_POWER_USER) {
stdhead();
stdmsg("Oops","Nur Poweruser können Leute inviten.");
stdfoot();
exit;
}
$id = 0 + $_GET["id"];
$type = unesc($_GET["type"]);
$invite = $_GET["invite"];

stdhead("Invites");
begin_frame("<b>User-Invitesystem</b>");
function bark($msg) {
// stdhead();
stdmsg("Invite Error", $msg);
stdfoot();
exit;
}
if ($id == 0){
$id = $CURUSER["id"];
}
$res = mysql_query("SELECT invites FROM users WHERE id = $id") or sqlerr();
$inv = mysql_fetch_assoc($res);

if ($inv["invites"] != 5){
$_s = "s";
} else {
$_s = "";
}

if ($type == 'new'){
print("<form method=post action=invitetake.php?id=$id>".
"<table align=center cellpadding=4 cellspacing=1 border=0 style='width:750px' class=tableinborder>".
"<tr class=tabletitle width=100%>".
"<td colspan=10 width=100%><span class=normalfont><center><b>Erstelle einen neuen Invite Code (noch $inv[invites] verfügbar)</b></center></span></td></tr>".
"<tr class=tablea><td align=center colspan=2><input type=submit value=Create style='height: 20px'></td></tr>".
"</form></table>");
}
else if ($type == 'del'){
$ret = mysql_query("SELECT * FROM invites WHERE invite = '$invite'") or sqlerr();
$num = mysql_fetch_assoc($ret);
if ($num[inviter]==$id){
mysql_query("DELETE FROM invites WHERE invite = '$invite'")or sqlerr();

print("<table align=center cellpadding=4 cellspacing=1 border=0 style='width:750px' class=tableinborder>".
"<tr class=tabletitle width=100%>".
"<td colspan=10 width=100%><span class=normalfont><center><b>Invite-Code löschen</b></center></span></td></tr>");
mysql_query("UPDATE users SET invites = invites+1 WHERE id = $CURUSER[id]") or sqlerr();
print("<tr><td class=tablea align=center><b>Invite gelöscht<br>Die Anzahl der Invites wurde aktualisiert<br><a href=invite.php>Zurück</b></td></tr></table>");
} else
print("DU hast keine Rechte diese Invites zu löschen oder es existieren keine Invites");
}
else {
if (get_user_class() <= UC_UPLOADER && !($id == $CURUSER["id"]))
{
bark("Du hast keine Rechte die Invites des Users anzuschauen!!!");
}

$rel = mysql_query("SELECT COUNT(*) FROM users WHERE invitedby = $id") or sqlerr();
$arro = mysql_fetch_row($rel);
$number = $arro[0];


$ret = mysql_query("SELECT id, username, email, uploaded, downloaded, status, warned, enabled, donor, email FROM users WHERE invitedby = $id") or sqlerr();
$num = mysql_num_rows($ret);

?>
<table align="center" cellpadding="4" cellspacing="1" border="0" style="width:750px" class="tableinborder">
 <tr class="tabletitle" width="100%">
  <td colspan="10" width="100%"><span class="normalfont"><center><b>WICHTIG:</b></center></span></td>
 </tr><tr><td width="100%" class="tablea">
<p>Das Invite-System ist <font color=red><b>NICHT</b></font> dazu gedacht Unbekannte einzuladen wie z.B. in Foren-Threads oft gelesen "Suche Invite" für XYZ-Tracker !
Invited Leute die ihr <b><font color=red>kennt und denen Ihr vertraut</font></b>, sonst könnten wir auch einfach die Anmeldung offen lassen...</p>
</td></tr></table><br>
<?
print("<form method=post action=inviteconfirm.php?id=$id><table align=center cellpadding=4 cellspacing=1 border=0 style='width:750px' class=tableinborder>".
"<tr class=tabletitle width=100%>".
"<td colspan=10 width=100%><span class=normalfont><center><b>Status deiner Invites</b> ($number)</b></center></span></td></tr>");

if(!$num){
print("<tr class=tableb><td colspan=7>Momentan sind keine offenen Invites vorhanden.</tr>");
} else {


print("<tr class=tableb><td><b>Benutzername</b></td><td><b>Email</b></td><td><b>Uploaded</b></td><td><b>Downloaded</b></td><td><b>Ratio</b></td><td><b>Status</b></td>");
if ($CURUSER[id] == $id || get_user_class() >= UC_SYSOP)
print("<td align=center><b>Confirm</b></td>");

print("</tr>");
for ($i = 0; $i < $num; ++$i)
{
$arr = mysql_fetch_assoc($ret);
if ($arr[status] == 'pending')
$user = "<td align=left>$arr[username]</td>";
else
$user = "<td align=left><a href=userdetails.php?id=$arr[id]>$arr[username]</a>" .($arr["warned"] == "yes" ? "&nbsp;<img src=pic/warned.gif border=0 alt='Warned'>" : "")."&nbsp;" .($arr["enabled"] == "no" ? "&nbsp;<img src=pic/disabled.gif border=0 alt='Disabled'>" : "")."&nbsp;" .($arr["donor"] == "yes" ? "<img src=pic/star.gif border=0 alt='Donor'>" : "")."</td>";

if ($arr["downloaded"] > 0) {
$ratio = number_format($arr["uploaded"] / $arr["downloaded"], 3);
$ratio = "<font color=" . get_ratio_color($ratio) . ">$ratio</font>";
} else {
if ($arr["uploaded"] > 0) {
$ratio = "Inf.";
}
else {
$ratio = "---";
}
}
if ($arr["status"] == 'confirmed')
$status = "<a href=userdetails.php?id=$arr[id]><font color=#1f7309>Confirmed</font></a>";
else
$status = "<a href=checkuser.php?id=$arr[id]><font color=#ca0226>Pending</font></a>";

print("<tr class=tablea>$user<td>$arr[email]</td><td>" . mksize($arr[uploaded]) . "</td><td>" . mksize($arr[downloaded]) . "</td><td>$ratio</td><td>$status</td>");
if ($CURUSER[id] == $id || get_user_class() >= UC_SYSOP){
print("<td align=center>");
if ($arr[status] == 'pending')
print("<input type=\"checkbox\" name=\"conusr[]\" value=\"" . $arr[id] . "\" />");
print("</td>");
}

print("</tr>");
}
}
if ($CURUSER[id] == $id || get_user_class() >= UC_SYSOP){
print("<input type=hidden name=email value=$arr[email]>");
print("<tr class=tablea><td colspan=7 align=center><input type=submit value='Confirm User' style='height: 20px'></form></td></tr>");
}
print("</table><br>");

$rer = mysql_query("SELECT inviteid, invite, time_invited FROM invites WHERE inviter = $id AND confirmed='no'") or sqlerr();
$num1 = mysql_num_rows($rer);
print("<table align=center cellpadding=4 cellspacing=1 border=0 style='width:750px' class=tableinborder>".
"<tr class=tabletitle width=100%>".
"<td colspan=10 width=100%><span class=normalfont><center><b>Status deiner Invitecodes</b> ($inv[invites])</b></center></span></td></tr>");

if(!$num1){
print("<tr class=tableb><td colspan=6>Momentan ist kein Code vorhanden.</tr>");
} else {

print("<tr class=tableb><td><b>Invite Code</b></td><td><b>Erstellt am</b></td><td></td></tr>");
for ($i = 0; $i < $num1; ++$i)
{
$arr1 = mysql_fetch_assoc($rer);
print("<tr class=tablea><td>$arr1[invite]</td><td>$arr1[time_invited]</td>");
// print("<td><input type=\"checkbox\" name=\"conusr[]\" value=\"" . $arr[id] . "\" /></td></tr>");
print ("<td colspan=7><center><form method=post action=invite.php?invite=$arr1[invite]&type=del><input type=submit value='Invitecode löschen?' style='height: 20px'></form></center></td></tr>");
}
}
print("<tr class=tablea><td colspan=7 align=center><form method=post action=invite.php?id=$id&type=new><input type=submit value='Erstelle einen neuen Invitecode' style='height: 20px'></form></td></tr>");
print("</table>");

}


?>
<table align="center" cellpadding="4" cellspacing="1" border="0" style="width:750px" class="tableinborder">
 <tr class="tabletitle" width="100%">
  <td colspan="10" width="100%"><span class="normalfont"><center><b>Und so gehts</b></center></span></td>
 </tr><tr><td width="100%" class="tablea">
<p><b>Kurzanleitung:</b><br> In der ersten Spalte seht ihr die aktuell verschickten Invites, jeder mit dem Status Pending muss von euch noch manuell confirmed werden, dazu einfach das Häkchen setzen und auf den Absendebutton klicken. Die bereits confirmten User seht ihr inklusive deren Ratio, Mail-Adresse usw.
<b>Vergesst nicht, dass jeder eingeladene User auf euch zurückzuführen ist d.h.</b> macht er groben Unfug indem er z.B. cheated oder nur leeched, ist das auch auf euch zurückzuführen, überlegt euch also bitte wen ihr invited.<br><br>
# Oben einen Invitecode erstellen und dem "Bekannten" von euch zukommen lassen (wird für die Registrierung verwendet)<br>
# Im Laufe der Zeit werdet ihr wenn ihr eine gute Ratio aufweisst etc.. noch mehr Invites von den Staff Mitgliedern gutgeschrieben bekommen<br>
<b>Der Rest müßte eigentlich relativ selbsterklärend sein, solltet ihr noch Fragen haben, wendet euch doch bitte vertrauensvoll an den Staff. :-)</b><br></p>
</td></tr></table>
<?
end_frame();
stdfoot();

die;

?>